> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/uwp/annotation/rectangle-annotation.md).

# Add a rectangle annotation to a PDF in UWP

Learn how to add a rectangle annotation to a PDF Document page with this full code sample. Add or edit various PDF annotations like hyperlink, stamp, text, and more. The Apryse uwp SDK streamlines sec

To add a rectangle annotation to a PDF Document page.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(filename);
Page page = doc.GetPage(1);

// Create a rectangle
Square sq = Square.Create( doc, new Rect(500,200, 580, 300 ) );
sq.SetColor(new ColorPt(1, 0, 0), 3);
sq.SetInteriorColor(new ColorPt(0, 1, 1), 3);
double[] dash = new double[2];
dash[0]=4;dash[1]=2;
sq.SetBorderStyle(new Annot.BorderStyle( Annot.BorderStyle.Style.e_dashed, 6, 0, 0, dash ) );
sq.SetPadding( new Rect(4,4,4,4) );
sq.RefreshAppearance();
page.AnnotPushBack( sq );
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Add or edit PDF annotations sample](/uwp/get-started/samples.md#annotation) Full code sample which shows how to add or edit PDF annotations (e.g. hyperlink, intra-document link, stamp, rubber stamp, file attachment, sound, text, free-text, line, circle, square, polygon, polyline, rectangle, squiggly, caret, and ink).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/uwp/annotation/rectangle-annotation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
